local kill_nearest_player = function(pos)
	local MAX_DISTANCE = 8 -- Use this number to set maximal distance to kill
	
	-- Search the nearest player
	local nearest = nil
	local min_distance = math.huge
	local players = minetest.get_connected_players()
	for index, player in pairs(players) do
		local distance = vector.distance(pos, player:getpos())
		if distance < min_distance then
			min_distance = distance
			nearest = player
		end
	end
	
	-- And kill him
	if vector.distance(pos, nearest:getpos()) < MAX_DISTANCE then
		nearest:set_hp(0)
	end
end

minetest.register_craft({
	output = "moremesecons_playerkiller:playerkiller 1",
	recipe = {	{"","default:apple",""},
			{"default:apple","mesecons_detector:object_detector_off","default:apple"},
			{"","default:apple",""}}
})
minetest.register_node("moremesecons_playerkiller:playerkiller", {
	tiles = {"default_steel_block.png", "default_steel_block.png", "jeija_object_detector_off.png", "jeija_object_detector_off.png", "jeija_object_detector_off.png", "jeija_object_detector_off.png"},
	paramtype = "light",
	walkable = true,
	groups = {cracky=3},
	description="Player Killer",
	mesecons = {effector = {
		state = mesecon.state.off,
		action_on = kill_nearest_player
	}},
	sounds = default.node_sound_stone_defaults(),
})
